<f:layout name="CollapseWidget"/>
<f:section name="Widget">
    <div class="accordion" id="accordionCategories">
        <div class="accordion-item">
            <h2 class="accordion-header" id="headingCategories">
                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                        data-bs-target="#collapseCategories" aria-expanded="true" aria-controls="collapseCategories">
                    <h3>
                        <f:translate key="headline.categories"/>
                    </h3>
                </button>
            </h2>

            <div id="collapseCategories" class="accordion-collapse collapse show" aria-labelledby="headingCategories"
                 data-bs-parent="#accordionCategories">
                <div class="accordion-body">
                    <ul class="blogwidgetlist blogwidgetlist--categories">
                        <f:for each="{categories}" as="category">
                            <li id="category-{category.uid}"
                                class="blogwidgetlist__item{f:if(condition: '{currentCategory} == {category.uid}', then: ' blogwidgetlist__item--active')}">
                                <blogvh:link.category class="blogwidgetlist__itemlink" title="{category.title}"
                                                      category="{category}">
                                    <span class="blogwidgetlist__itemtitle">{category.title}</span>
                                    <span class="blogwidgetlist__itemcount">(<f:count>{category.posts}</f:count>)</span>
                                </blogvh:link.category>
                            </li>
                        </f:for>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</f:section>
